Integration
API Documentation
Integrate ClinicsSaaS directly into your custom applications.
Getting Started
Authentication
The ClinicsSaaS API uses API keys to authenticate requests. You can view and manage your API keys directly from the clinic admin dashboard.
Authentication is performed via HTTP Bearer Auth. Provide your active API key as the bearer token value in the Authorization header.
Authorization: Bearer YOUR_API_KEYGET
List bookings
Returns a list of your clinic's bookings. The bookings are returned filtered by the clinic mapped to the respective API key.
GET https://api.clinicssaas.com/api/v1/bookingsResponse
Returns an Array of up to 100 recent booking objects.
[
{
"_id": "60d0fe4f5311236168a109ca",
"clinicId": "60d0fe4f5311236168a109b0",
"name": "Jane Doe",
"email": "[email protected]",
"phone": "+1234567890",
"time": "2026-04-10T10:00:00Z",
"status": "booked",
...
}
] POST
Create booking
Creates a new booking for a patient inside your clinic.
POST https://api.clinicssaas.com/api/v1/bookingsBody Parameters JSON
| Property | Description |
|---|---|
name string | Patient's full name. Required |
email string | Patient's email address. |
phone string | Patient's phone number. Required |
date string | Date of the booking (e.g. "YYYY-MM-DD" or similar timestamp format). Required |
time string | Exact time slot string (e.g., "14:30"). Required |
intakeConcern string | Primary concern or reason for visit provided by the patient. |
intakeSymptoms string | Additional symptoms, history, or context captured in the intake form. |
intakeNotes string | Free-text notes or anything else the patient wants the clinic to know. |
Response
Returns the fully created booking Lead object on success.
{
"_id": "60d0fe4f5311236168a109ca",
"clinicId": "60d0fe4f5311236168a109b0",
"name": "Jane Doe",
"email": "[email protected]",
...
}